import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { SysUser } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-09-15 13:46
 */
interface SysUserCU extends ConditionUtil<SysUserCU> {
    ID: FieldUtil<SysUserCU>;
    NAME: FieldUtil<SysUserCU>;
    EMAIL: FieldUtil<SysUserCU>;
    NICKNAME: FieldUtil<SysUserCU>;
    AVATAR: FieldUtil<SysUserCU>;
    IS_ADMIN: FieldUtil<SysUserCU>;
    PASSWORD: FieldUtil<SysUserCU>;
    STATUS: FieldUtil<SysUserCU>;
    PHONE: FieldUtil<SysUserCU>;
    WX_USER_ID: FieldUtil<SysUserCU>;
    KT_USER_ID: FieldUtil<SysUserCU>;
    API_KEY: FieldUtil<SysUserCU>;
    DEPARTMENT_NAME: FieldUtil<SysUserCU>;
    REMARK: FieldUtil<SysUserCU>;
    CREATE_TIME: FieldUtil<SysUserCU>;
    UPDATE_TIME: FieldUtil<SysUserCU>;
}
declare class SysUserMU extends TableUtilImpl<SysUserCU, SysUser> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): SysUserCU;
    static get ID(): FieldUtil<SysUserCU>;
    static get NAME(): FieldUtil<SysUserCU>;
    static get EMAIL(): FieldUtil<SysUserCU>;
    static get NICKNAME(): FieldUtil<SysUserCU>;
    static get AVATAR(): FieldUtil<SysUserCU>;
    static get IS_ADMIN(): FieldUtil<SysUserCU>;
    static get PASSWORD(): FieldUtil<SysUserCU>;
    static get STATUS(): FieldUtil<SysUserCU>;
    static get PHONE(): FieldUtil<SysUserCU>;
    static get WX_USER_ID(): FieldUtil<SysUserCU>;
    static get KT_USER_ID(): FieldUtil<SysUserCU>;
    static get API_KEY(): FieldUtil<SysUserCU>;
    static get DEPARTMENT_NAME(): FieldUtil<SysUserCU>;
    static get REMARK(): FieldUtil<SysUserCU>;
    static get CREATE_TIME(): FieldUtil<SysUserCU>;
    static get UPDATE_TIME(): FieldUtil<SysUserCU>;
    get ID(): FieldUtil<SysUserCU>;
    get NAME(): FieldUtil<SysUserCU>;
    get EMAIL(): FieldUtil<SysUserCU>;
    get NICKNAME(): FieldUtil<SysUserCU>;
    get AVATAR(): FieldUtil<SysUserCU>;
    get IS_ADMIN(): FieldUtil<SysUserCU>;
    get PASSWORD(): FieldUtil<SysUserCU>;
    get STATUS(): FieldUtil<SysUserCU>;
    get PHONE(): FieldUtil<SysUserCU>;
    get WX_USER_ID(): FieldUtil<SysUserCU>;
    get KT_USER_ID(): FieldUtil<SysUserCU>;
    get API_KEY(): FieldUtil<SysUserCU>;
    get DEPARTMENT_NAME(): FieldUtil<SysUserCU>;
    get REMARK(): FieldUtil<SysUserCU>;
    get CREATE_TIME(): FieldUtil<SysUserCU>;
    get UPDATE_TIME(): FieldUtil<SysUserCU>;
}
export { SysUserMU, SysUserCU };
